#include <cpu.h>
#include <cpu/interrupts.h>
#include <ports.h>

struct cpu *cpus[16];
struct ioapic ioapic = {0,0,0};
uint8_t irq_redirects[MAX_IRQS] = \
    {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23};

void early_cpu_init()
{
    interrupt_init();
}

void cpu_init()
{
    acpi_parse();
}